@import "gugcss.css";

@font-face {
    font-family: Superior;
    src: url(Roboto.ttf);
}

body {
    font-family: 'Superior';
    #font-family: 'Superior', sans-serif;
    background: #021;
}

p {
    font-family: 'Superior';
    #font-family: 'Superior', sans-serif;
    font-size: 1.1em;
    font-weight: 300;
    line-height: 1.7em;
    color: #999;
}

canvas,.contCanv{
    width: 100%;
    max-width: 768px;
    height: 768px;
    background: #e0dfdf;
    #border: 1px solid #777;
    box-shadow: 0px 0px 3px rgba(0,0,0,0.3);
    margin: 0 auto 4px auto;padding:0;
}

a,
a:hover,
a:focus {
    color: inherit;
    text-decoration: none;
    transition: all 0.3s;
}

a.sbuttonlike {
    padding: 3px 6px;
    color: black;
    border: 1px solid #777;
	background: linear-gradient(white,#ddd);
    text-decoration: none;
	box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
}
a.sbuttonlike:hover {background: linear-gradient(white,#fcce86);}
.sbuttonlike {
    padding: 6px 6px 3px 6px;
    color: black;
    border: 1px solid #777;
	background: linear-gradient(white,#ddd);
    text-decoration: none;
	box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
}
a.sbuttonlike.disabled {color: #999;border: 1px solid #999;pointer-events: none;}

a.sbuttonlike.disabled:hover {background: linear-gradient(white,#ddd);}

.navbar {
    padding: 5px;
    background: #fff;
    border: none;
    border-radius: 0;
    margin-bottom: 7px;
    box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
	min-width: 120px;
}

.navbar-btn {
    box-shadow: none;
    outline: none !important;
    border: none;
}

.line {
    width: 100%;
    height: 1px;
    border-bottom: 1px solid #17a2b8;
    margin: 6px 0 25px 0;
}

.line2 {
    width: 100%;height: 1px;
    border-bottom: 1px solid #17a2b8; margin: 6px 0 7px 0;
}

.tmdivBrdr {
	padding:5px;
    border: 1px solid #777;border-radius: 7px;
	overflow: hidden;
	margin-bottom: 4px
}
.tmdivBrdr:hover {background: #fff;}

.divSetFltr {
	padding:2px;
    border: 1px solid #777;
	overflow: hidden;background: #dfe;
	margin: 4px
}

.mWatsup {
	padding:5px;box-sizing: border-box;width:100%;
    border: none;border-radius: 7px;
	box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
	overflow: hidden;
	
}

.mWtsL { background: #fff;margin-right: 50px;}
.mWtsR { background: #c8ffc7;margin-left: 50px;}

.tmdiv {
    border: 1px solid #007;
    box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
	padding: 8px;margin-bottom:2px;
}
.tmdivC0 { background: #efe;border: #efe; } .tmdivC0:hover {background: #bfb;}
.tmdivC1 { background: #ffe;border: #ffe; } .tmdivC1:hover {background: #ffb;}

.nohoverr{pointer-events: none;}
.tmdivVnut {
    min-height: 1.6em;max-height: 3.6em;
    overflow: hidden;	
}
.insImgClass {
  cursor: pointer;max-width: 80px;max-height: 80px;border: 1px solid #050;padding: 2px;
}

.imBord {
  border: 1px solid #080;padding: 3px;background: #fff;
}


/* ---------------------------------------------------
    SIDEBAR STYLE
----------------------------------------------------- */

.wrapper {
    display: flex;
    width: 100%;
    align-items: stretch;
}

#sidebar {
    min-width: 250px;
    max-width: 250px;
    background: #ac9869;
    color: #fff;
    transition: all 0.3s;
}

#sidebar.active {
    margin-left: -250px;
    opacity: 0;
}

#sidebar .sidebar-header {
    padding: 10px 10px 2px 0px;
    background: #17a2b8;
    border-bottom: 1px solid #fca67f;
}

#sidebar ul.components {
    padding: 20px 0;
    border-bottom: 1px solid #fca67f;
}

#sidebar ul p {
    color: #fff;
    padding: 10px;
}

#sidebar ul li a {
    padding: 10px;
    font-size: 1.1em;
    display: block;
}

#sidebar ul li a:hover {
    color: #7386D5;
    background: #fff;
}

#sidebar ul li.active>a,
a[aria-expanded="true"] {
    color: #fff;
    background: #776949;
}

a[data-toggle="collapse"] {
    position: relative;
}

.dropdown-toggle::after {
    display: block;
    position: absolute;
    top: 50%;
    right: 20px;
    transform: translateY(-50%);
}

ul ul a {
    font-size: 0.9em !important;
    padding-left: 30px !important;
    background: #776949;
}

ul.CTAs {
    padding: 20px 20px 3px 20px;
}

ul.CTAs a {
    text-align: center;
    font-size: 0.9em !important;
    display: block;
    border-radius: 5px;
    /*margin-bottom: 5px;*/
}

a.download {
    background: #fff;
    color: #7386D5;
}

a.mnLnk {
    color: #7386D5;border-radius: 5px;
	padding:1px 6px;
}
a.mnLnk:hover {
    background: #17a2b8;
    color: #fff;
}

.mnDrpdwn {
  display: none;
  position: absolute;
  background-color: #f1f1f1;
  min-width: 160px;
  overflow: auto;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
  overflow-y: auto;
  max-height: 500px;
}

.mnDrpdwn a {
  color: black;
  padding: 3px 3px;
  text-decoration: none;
  display: block;
}

.mnDrpdwn a:hover {background-color: #ddd;}

.mnDrpdwnShow {display: block;}

a.article,
a.article:hover {
    background: #6d7fcc !important;
    color: #fff !important;
}

.mAlert1 {
  position: absolute;background: rgba(0,0,0,0.6);
  width: 100vw;  height: 100vh;
  top: 0;  left: 0;z-index=101;
  display: flex;align-items: center;

}
.mAlert2 {
  width: clamp(100px,300px,320px);/*height: 400px;*/
  margin: 10px auto;
  background: #eee;
  display: flex;
  align-self: center;
  flex-direction: column;
  align-items: center;
  text-align: center;
  border-radius: 20px;
  padding: 25px;
  animation-duration: 2s;
  animation-name: mAlert1slide;
  box-shadow: 1px 1px 4px rgba(0,0,0,0.7);

}

.mAlert1co {
  position: fixed;
  width: 100%;   box-sizing: border-box;
  bottom: 0; left:0; z-index=100;
   padding: 25px;
  display: flex;align-items: center;

}

.mAlert2co {
  width: clamp(100px,200px,320px);/*height: 400px;*/
  margin: 10px auto;
  background: rgba(0,0,0,0.6);
  color:#fff;
  display: flex;
  align-self: center;
  flex-direction: column;
  align-items: center;
  text-align: center;
  border-radius: 10px;
  padding: 15px;
  box-shadow: 1px 1px 4px rgba(0,0,0,0.7);

}

@keyframes mAlert1slide {
  from {opacity:0;border-radius: 0;background: #beb;}
  to {opacity:1;border-radius: 20px;background: #eee;}
    
}

.mvis{display: unset;}
.mvisBlock{display: block;}
.minvis{display: none;}
.notire, .mnRamka, .nmRamka{display:inline-block;background: #fff;border-radius: 7px;cursor: pointer;-webkit-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none;}
.mnRamka, .nmRamka{display:inline-block;background: #fff;border-radius: 7px;padding: 1px 5px 1px 5px;cursor: pointer;-webkit-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none;}
.notire{padding: 0;}
.mnRamka{background: #fff;border: 2px solid #17a2b8;}
.nmRamka{background: inherit;border: 2px solid rgba(238,238,238,0);color:#6aa;}
.mnRamka::before, .nmRamka::before {content: "- ";} 
.notire::before{content: "";} 


/* ---------------------------------------------------
    CONTENT STYLE
----------------------------------------------------- */

#content {
    width: 100%;
    padding: 5px 20px;
    min-height: 100vh;
    transition: all 0.3s;
	box-sizing: border-box;
}

/* ---------------------------------------------------
    MEDIAQUERIES
----------------------------------------------------- */

@media (max-width: 768px) {
    #sidebar {
        margin-left: -250px;
        opacity: 0;
    }
    #sidebar.active {
        margin-left: 0;
        opacity: 1.0;
    }

canvas, .contCanv {
		height: 512px;
    }
}


svg.svg-inline--fa{overflow:visible}
.svg-inline--fa{display:inline-block;font-size:inherit;height:1em;overflow:visible;vertical-align:-.125em}
.svg-inline--fa.fa-lg{vertical-align:-.225em}
.svg-inline--fa.fa-w-1{width:.0625em}
.svg-inline--fa.fa-w-2{width:.125em}
.svg-inline--fa.fa-w-3{width:.1875em}
.svg-inline--fa.fa-w-4{width:.25em}
.svg-inline--fa.fa-w-5{width:.3125em}
.svg-inline--fa.fa-w-6{width:.375em}
.svg-inline--fa.fa-w-7{width:.4375em}
.svg-inline--fa.fa-w-8{width:.5em}
.svg-inline--fa.fa-w-9{width:.5625em}
.svg-inline--fa.fa-w-10{width:.625em}
.svg-inline--fa.fa-w-11{width:.6875em}
.svg-inline--fa.fa-w-12{width:.75em}
.svg-inline--fa.fa-w-13{width:.8125em}
.svg-inline--fa.fa-w-14{width:.875em}
.svg-inline--fa.fa-w-15{width:.9375em}
.svg-inline--fa.fa-w-16{width:1em}
.svg-inline--fa.fa-w-17{width:1.0625em}
.svg-inline--fa.fa-w-18{width:1.125em}
.svg-inline--fa.fa-w-19{width:1.1875em}
.svg-inline--fa.fa-w-20{width:1.25em}
.svg-inline--fa.fa-pull-left{margin-right:.3em;width:auto}
.svg-inline--fa.fa-pull-right{margin-left:.3em;width:auto}
.svg-inline--fa.fa-border{height:1.5em}
.svg-inline--fa.fa-li{width:2em}
.svg-inline--fa.fa-fw{width:1.25em}

.leftimg {float:left; margin: 0px 7px 7px 0;width: auto;height: auto;max-width: 150px;}

.containerZX{overflow:hidden;width:100%;padding:0}
.box{white-space:nowrap;}
.box div{display:inline-block;white-space: break-spaces;}

